Package tasks.task2.code

# Class Student

java.lang.Object
tasks.task2.code.Student

All Implemented Interfaces:
  `Comparable<Student>`

public class Student extends Object implements Comparable<Student>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private double`
  `marks`
  `private final String`
  `name`
  `private final long`
  `parentContactNumber`
  `private byte`
  `rollNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Student()`
  `Student(byte rollNumber, String name, long parentContactNumber, double marks)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Student o)`
  `boolean`
  `equals(Object o)`
  `double`
  `getMarks()`
  `String`
  `getName()`
  `long`
  `getParentContactNumber()`
  `byte`
  `getRollNumber()`
  `int`
  `hashCode()`
  `void`
  `setMarks(double marks)`
  `void`
  `setRollNumber(byte rollNumber)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### rollNumber

    private byte rollNumber

  - ### name

    private final String name

  - ### parentContactNumber

    private final long parentContactNumber

  - ### marks

    private double marks

- ## Constructor Details

  - ### Student

    public Student()

  - ### Student

    public Student(byte rollNumber, String name, long parentContactNumber, double marks)

- ## Method Details

  - ### getRollNumber

    public byte getRollNumber()

  - ### setRollNumber

    public void setRollNumber(byte rollNumber)

  - ### getName

    public String getName()

  - ### getParentContactNumber

    public long getParentContactNumber()

  - ### getMarks

    public double getMarks()

  - ### setMarks

    public void setMarks(double marks)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(Student o)
    Specified by:
      `compareTo` in interface `Comparable<Student>`